/*******************************************************************************
 * FoxCamMod_Zoom generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxCamMod_Zoom extends CameraModifier
    native(Camera);

var FoxCamera MyFoxCamera;

// Export UFoxCamMod_Zoom::execModifyCamera(FFrame&, void* const)
native function bool ModifyCamera(Camera Camera, float DeltaTime, out TPOV OutPOV);

function bool AddCameraModifier(Camera Camera)
{
    local bool Result;

    Result = super.AddCameraModifier(Camera);
    // End:0x47
    if(Result)
    {
        MyFoxCamera = FoxCamera(Camera);
    }
    return Result;
    //return ReturnValue;    
}

function bool RemoveCameraModifier(Camera Camera)
{
    MyFoxCamera = none;
    return super.RemoveCameraModifier(Camera);
    //return ReturnValue;    
}
